#ifndef SPOTANIMATION_HPP_INCLUDED
#define SPOTANIMATION_HPP_INCLUDED

#include "CacheableNode.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class SpotAnimation : public CacheableNode
    {
        public:
            SpotAnimation();
            SpotAnimation(const void* Obj);
            SpotAnimation(const SpotAnimation& S);
            static Class GetClass();

            std::int32_t GetAngle() const;
            std::int32_t GetAnimationID() const;
            std::int32_t GetID() const;
            std::int32_t GetScaleX() const;
            std::int32_t GetScaleY() const;

    };
}

#endif // SPOTANIMATION_HPP_INCLUDED
